Bug 177598 - Hitting enter before the lock dialog comes up causes it to try logging in with an empty password
Hitting enter before the lock dialog comes up causes it to try logging in wit...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-11 21:08 EST by John (J5) Palmieri
Modified: 2013-03-13 00:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-04 02:35:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 333340 None None None Never

  None (edit)
Description John (J5) Palmieri 2006-01-11 21:08:20 EST
Description of problem:

Hitting enter before the dialog pops up sends the event anyway and the dialog
sits for a few seconds before it allows you to enter a new password

How reproducible:

Always

Steps to Reproduce:
1. Lock the screen
2. hit enter
  
Actual results:

Dialog blocks for a few seconds before you can enter another password

Expected results:

Key events should work the same as in Xscreensaver.  The first enter is ignored
and just brings up the dialog if it is not showing.  All other keystrokes are
valid even if the dialog is hidden.  An enter after any other keystroke should
also be valid.

Additional Info:

The first space is also invalid.  I still have Xscreensaver on my desktop if you
want to take a look.
Comment 1 Matthias Clasen 2006-03-01 15:38:38 EST
John, please file this upstream. That'll increase your chances of this getting
fixed 500%.
Comment 2 Christopher Aillon 2006-03-04 02:35:51 EST
Filed as http://bugzilla.gnome.org/show_bug.cgi?id=333340

Note You need to log in before you can comment on or make changes to this bug.